function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/* eslint-disable  */
import React, { Component } from 'react';
var PRELOADNUM = 3;
export var CenterImage =
/*#__PURE__*/
function (_Component) {
  _inherits(CenterImage, _Component);

  function CenterImage() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, CenterImage);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(CenterImage)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      loading: true,
      error: false,
      loaded: false
    });

    return _this;
  }

  _createClass(CenterImage, [{
    key: "render",
    value: function render() {
      var _this$state = this.state,
          loading = _this$state.loading,
          error = _this$state.error;

      var _this$props = this.props,
          index = _this$props.index,
          current = _this$props.current,
          lazysrc = _this$props.lazysrc,
          childProps = _objectWithoutProperties(_this$props, ["index", "current", "lazysrc"]);

      var img = React.createElement("img", _extends({
        onLoad: this.onImgLoad.bind(this),
        src: lazysrc
      }, childProps)); // init first image, others have been preloaded

      if (index === current) {
        return img;
      }

      if (loading) {
        return React.createElement(Loading, null);
      }

      if (error) {
        return React.createElement(Error, null);
      }

      return img;
    }
  }, {
    key: "componentWillMount",
    value: function componentWillMount() {
      this.loadImg();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps() {
      !this.state.loaded && this.loadImg();
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('orientationchange', this.onOrientationChange);
    }
  }, {
    key: "loadImg",
    value: function loadImg() {
      var _this2 = this;

      var _this$props2 = this.props,
          index = _this$props2.index,
          current = _this$props2.current,
          lazysrc = _this$props2.lazysrc;

      if (lazysrc && index <= current + PRELOADNUM && index >= current - PRELOADNUM) {
        var img = new Image();
        img.src = lazysrc;

        img.onload = function () {
          _this2.setState({
            loading: false
          });
        };

        img.onerror = function () {
          _this2.setState({
            loading: false,
            error: true
          });
        };
      }
    }
  }, {
    key: "onOrientationChange",
    value: function onOrientationChange(target) {
      var _this3 = this;

      // 方向改变后新的innerHeight生效需要delay
      setTimeout(function () {
        _this3.onImgLoad({
          target: target
        });
      }, 100);
    }
  }, {
    key: "onImgLoad",
    value: function onImgLoad(e) {
      if (!this.state.loaded) {
        this.onOrientationChange = this.onOrientationChange.bind(this, e.target);
        window.addEventListener('orientationchange', this.onOrientationChange);
      }

      this.setState({
        loaded: true
      });
      var target = e.target;
      var h = target.naturalHeight;
      var w = target.naturalWidth;
      var r = h / w;
      var height = window.innerHeight || window.screen.availHeight;
      var width = window.innerWidth || window.screen.availWidth;
      var rate = height / width;
      var imgStyle = {};

      if (r >= 3.5) {
        // imgStyle.width = width + "px";
        // imgStyle.height = h * width / w + "px";
        target.setAttribute('long', true);
      }

      if (r > rate) {
        imgStyle.height = "".concat(height, "px");
        imgStyle.width = "".concat(w * height / h, "px");
        imgStyle.left = "".concat(width / 2 - w * height / h / 2, "px");
      } else if (r < rate) {
        imgStyle.width = "".concat(width, "px");
        imgStyle.height = "".concat(h * width / w, "px");
        imgStyle.top = "".concat(height / 2 - h * width / w / 2, "px");
      } else {
        imgStyle.width = width;
        imgStyle.height = height;
      }

      target.setAttribute('style', "width:".concat(imgStyle.width, "; height:").concat(imgStyle.height, "; left:").concat(imgStyle.left, "; top:").concat(imgStyle.top, ";"));
      target.setAttribute('rate', 1 / r);
    }
  }]);

  return CenterImage;
}(Component);

var Loading = function Loading() {
  return React.createElement("div", {
    className: "spinner"
  }, React.createElement("div", {
    className: "double-bounce1"
  }), React.createElement("div", {
    className: "double-bounce2"
  }));
};

var Error = function Error() {
  return React.createElement("div", {
    className: "errorpage"
  }, "\u52A0\u8F7D\u5931\u8D25");
};